Bug 1290993 - [abrt] qt-creator: QXcbWindow::setParent(): qtcreator killed by SIGSEGV
[abrt] qt-creator: QXcbWindow::setParent(): qtcreator killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1291003
Product: Fedora
Classification: Fedora
Component: qt-creator (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7884e3ed6e64c1f6e16f3c5deb4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 10:10 EST by badwi
Modified: 2016-01-01 23:34 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-01 23:34:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (77.04 KB, text/plain)
2015-12-12 10:10 EST, badwi
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-12 10:10 EST, badwi
no flags Details
File: core_backtrace (11.60 KB, text/plain)
2015-12-12 10:10 EST, badwi
no flags Details
File: dso_list (27.32 KB, text/plain)
2015-12-12 10:10 EST, badwi
no flags Details
File: environ (1.81 KB, text/plain)
2015-12-12 10:10 EST, badwi
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-12 10:10 EST, badwi
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-12 10:10 EST, badwi
no flags Details
File: maps (124.51 KB, text/plain)
2015-12-12 10:11 EST, badwi
no flags Details
File: mountinfo (2.97 KB, text/plain)
2015-12-12 10:11 EST, badwi
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-12 10:11 EST, badwi
no flags Details
File: open_fds (16.16 KB, text/plain)
2015-12-12 10:11 EST, badwi
no flags Details
File: proc_pid_status (1019 bytes, text/plain)
2015-12-12 10:11 EST, badwi
no flags Details
File: var_log_messages (311 bytes, text/plain)
2015-12-12 10:11 EST, badwi
no flags Details

  None (edit)
Description badwi 2015-12-12 10:10:38 EST
Description of problem:
developed qt quick app

Version-Release number of selected component:
qt-creator-3.5.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/qtcreator
crash_function: QXcbWindow::setParent
executable:     /usr/bin/qtcreator
global_pid:     22216
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QXcbWindow::setParent at qxcbwindow.cpp:1499
 #1 QWindow::setParent at kernel/qwindow.cpp:614
 #2 QWidgetPrivate::setParent_sys at kernel/qwidget.cpp:10543
 #3 QWidget::setParent at kernel/qwidget.cpp:10398
 #5 QSplitterPrivate::insertWidget_helper at widgets/qsplitter.cpp:823
 #6 QSplitter::insertWidget at widgets/qsplitter.cpp:1113
 #7 QSplitter::addWidget at widgets/qsplitter.cpp:1097
 #8 QmlDesigner::Internal::DesignModeWidget::setup at designmodewidget.cpp:418
 #9 QmlDesigner::Internal::DesignModeWidget::initialize at designmodewidget.cpp:643
 #10 QmlDesigner::QmlDesignerPlugin::showDesigner at qmldesignerplugin.cpp:224
Comment 1 badwi 2015-12-12 10:10:46 EST
Created attachment 1105063 [details]
File: backtrace
Comment 2 badwi 2015-12-12 10:10:48 EST
Created attachment 1105064 [details]
File: cgroup
Comment 3 badwi 2015-12-12 10:10:50 EST
Created attachment 1105065 [details]
File: core_backtrace
Comment 4 badwi 2015-12-12 10:10:52 EST
Created attachment 1105066 [details]
File: dso_list
Comment 5 badwi 2015-12-12 10:10:54 EST
Created attachment 1105067 [details]
File: environ
Comment 6 badwi 2015-12-12 10:10:56 EST
Created attachment 1105068 [details]
File: exploitable
Comment 7 badwi 2015-12-12 10:10:58 EST
Created attachment 1105069 [details]
File: limits
Comment 8 badwi 2015-12-12 10:11:01 EST
Created attachment 1105070 [details]
File: maps
Comment 9 badwi 2015-12-12 10:11:03 EST
Created attachment 1105071 [details]
File: mountinfo
Comment 10 badwi 2015-12-12 10:11:05 EST
Created attachment 1105072 [details]
File: namespaces
Comment 11 badwi 2015-12-12 10:11:07 EST
Created attachment 1105073 [details]
File: open_fds
Comment 12 badwi 2015-12-12 10:11:09 EST
Created attachment 1105074 [details]
File: proc_pid_status
Comment 13 badwi 2015-12-12 10:11:10 EST
Created attachment 1105075 [details]
File: var_log_messages
Comment 14 sedrubal 2015-12-15 10:37:39 EST
Another user experienced a similar problem:

tried to create a git repository. I think it crashed after opening the open file dialogue.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/qtcreator
crash_function: QXcbWindow::setParent
executable:     /usr/bin/qtcreator
global_pid:     13021
kernel:         4.2.6-301.fc23.x86_64
package:        qt-creator-3.5.1-1.fc23
reason:         qtcreator killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 C6563 2015-12-17 17:27:49 EST
Another user experienced a similar problem:

File -> Open project
sometimes it crashes at first try sometimes if i cancel and try again

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        qtcreator
crash_function: QXcbWindow::setParent
executable:     /usr/bin/qtcreator
global_pid:     11519
kernel:         4.2.7-300.fc23.x86_64
package:        qt-creator-3.5.1-1.fc23
reason:         qtcreator killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Rex Dieter 2016-01-01 23:34:00 EST

*** This bug has been marked as a duplicate of bug 1291003 ***

Note You need to log in before you can comment on or make changes to this bug.